# compact (filter)

## Name

compact (filter) — A constraint on compactness

## Synopsis

Content Model

    compact ::=

Attributes
Name | Type
`value` | CDATA (required)

## Description

A `compact` (filter) element represents a constraint on the compactness of a normal surface. A compact surface is one containing finitely many normal discs.

### Parents

The following elements contain `compact` (in the context of a constraint on surface properties): `filter` (properties).

### Children

Element `compact` (in the context of a constraint on surface properties) has no children.

## Attributes

`value`

  Contains the specific constraint upon the compactness of a surface. The following values are allowed.

  - `TF` signifies that the surface may be either compact or non-compact, i.e., no constraint is imposed.

  - `T-` signifies that the surface must be compact.

  - `-F` signifies that the surface must be non-compact.

  - `--` signifies that the surface must be neither compact nor non-compact, i.e., no surfaces are accepted.